Skip to Content
kosemdocs
ReferenceAPIProviders

List available provider models

Lists the models that a provider its organization shares with a project serves, with what kosem knows of each, for the project's own models to choose from.

GET
/v1/projects/{project}/availableProviders/{provider}/providerModels

Lists the models that a provider its organization shares with a project serves, with what kosem knows of each, for the project's own models to choose from.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
provider*string

The provider's ID.

Match^prv_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

providerModels*array<>

Models, ordered by providerModel.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/availableProviders/string/providerModels'
Example Response
{
  "nextPageToken": "string",
  "providerModels": [
    {
      "displayName": "string",
      "formats": [
        "ANTHROPIC_MESSAGES"
      ],
      "info": {
        "contextWindow": 0,
        "deprecated": true,
        "displayName": "string",
        "inputs": [
          "string"
        ],
        "maxInputTokens": 0,
        "maxOutputTokens": 0,
        "pricing": {
          "cacheRead": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "cacheWrite": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "input": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "output": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          }
        },
        "reasoning": true,
        "reasoningEfforts": [
          "string"
        ],
        "structuredOutput": true,
        "toolCalls": true
      },
      "models": [
        "string"
      ],
      "nativeFormats": [
        "ANTHROPIC_MESSAGES"
      ],
      "providerModel": "string"
    }
  ]
}